package ca.bcgsc.rwong.LRUI;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JFrame;
import javax.swing.JLabel;

/**ActionLister for the launch botton
 * 
 * @author rwong
 *
 */
public class LaunchListener implements ActionListener{
	
	/**handle to parent (ParamPane) 
	 * 
	 */
	private JFrame parent;
	/**set of gel settings with values to use during launch*/
	private GelSettings param;
	/**handle to error output label*/
	private JLabel outLine;
	
	/**
	 * constructor to LaunchListener
	 * @param f parent frame, the frame to return to if launch failed 
	 * @param gs set of gel settings
	 * @param statusLine error output label
	 */
	public LaunchListener(JFrame f, GelSettings gs, JLabel statusLine){
		this.parent = f;
		param = gs;
		outLine = statusLine;
		
	}
	
	/**
	 * hides the parent frame and opens up a lane tracking adjustment frame
	 */
	public void actionPerformed(ActionEvent e) {
	    if ("launch".equals(e.getActionCommand())) {
	        parent.setVisible(false);
	        
	        //setting rect size and stroke size
	        Node.setRectSize(param.rectSize);
	        Node.setStrokeSize(param.strokeSize);
	        
	        //starting a new LaneRulerFrame with given gel parameters
	        LaneRulerFrame mainFrame= new LaneRulerFrame("Lane Ruler Interface", parent, param, outLine);
	        mainFrame.pack();
	        //no error during launch
	        if(!parent.isVisible()){
	        	mainFrame.setVisible(true);
	        }
	    }
	}
}

