/**@file diagnostic.h
 *\brief header file for diagnostic.c, contains function to write a PNG of the gel with node and peak position information overlaid.  
 *Interpolated peaks are shown in red for diagnostic purposes
 */

#ifndef DIAGNOSTIC_H
#define DIAGNOSTIC_H

#include "allheaders.h"
#include "gelinfo.h"

/**\brief output a diagnostic image in png format with peaks and nodes position marked*/
void outputDiagnostic (PIX *pixGel, char *fileDiagnosticImage, float **PeakPosition, float* NodePosition, int *ZoneID, struct GelInfo *GelInfo);

#endif
