/**@file node.h
 *\brief header file for node.c, implements functions for extrapolating nodes to the edge, adjusting the boundary nodes, and writing lanes information to file*/

#ifndef NODE_H
#define NODE_H

#include "gelinfo.h"

/**\brief linear extrapolate out to get the peak positions at the edges (0th and last node)*/
void extrapolateNodes(float **PeakPosition, float *NodePosition,  struct GelInfo *GelInfo);
/**\brief move first node to stopPreData and extrapolate out to get peak positions at the edges*/
void adjustBoundaryNodes(float **PeakPosition, float *NodePosition,  struct GelInfo *GelInfo);
/**\brief write node and peak positions to lanes file*/
void writeLanes(float **PeakPosition, char *lanespath, float *NodePosition, struct GelInfo *GelInfo);

#endif
