/**@file traces16.h
 *\brief header file for traces16.c, contains function to write lane straightened
 *image to traces16 file
 */

#ifndef TRACES16_H
#define TRACES16_H

#include "allheaders.h"
#include "gelinfo.h"

/**\brief write header information and lane straightened clips to traces16*/
void writeTraces16(PIX *pixGelRaw, char *tracespath, float **PeakPosition, float *NodePosition, struct GelInfo *GelInfo, int Verbose);

/**\brief write a 8bit lane straightened image to a png file*/
void writeStraightedImage(PIX *pixGelRaw, char *outimgpath, float **PeakPosition, float *NodePosition, struct GelInfo *GelInfo, int Verbose);

#endif
